org.apache.tapestry5.internal.services

## Class ClassResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.ClassResultProcessor

- All Implemented Interfaces:
    ComponentEventResultProcessor<Class>

      public class ClassResultProcessor
      extends Object
      implements ComponentEventResultProcessor<Class>

  Used when a component event handler returns a class value. The value is interpreted as the page class. A redirect to the page will be sent.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassResultProcessor(ComponentClassResolver resolver, ComponentEventResultProcessor primary)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processResultValue(Class value)` For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassResultProcessor

          public ClassResultProcessor(ComponentClassResolver resolver,
                                      @Traditional @Primary
                                      ComponentEventResultProcessor primary)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue(Class value)
                                  throws IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<Class>`
      Parameters:
        `value` - the value returned from a method
      Throws:
        `IOException`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.